Bug 131592 - Consider merging: Pass the correct value for the available width to updateLogicalWidthForAlignment() after placing an ellipsis
Summary: Consider merging: Pass the correct value for the available width to updateLog...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: All iOS 6.0
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: BlinkMergeCandidate
Depends on:
Blocks:
 
Reported: 2014-04-13 10:50 PDT by Daniel Trebbien
Modified: 2014-04-22 04:06 PDT (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Trebbien 2014-04-13 10:50:07 PDT
Consider merging:  http://src.chromium.org/viewvc/blink?revision=167194&view=revision

mario.prada's patch fixes an issue with text-overflow:ellipsis demonstrated by the test case that I attached to Bug 75277.

I am seeing the issue in iOS 7.1 Mobile Safari, Safari 7.0.3, and WebKit nightly r167020 built on 09 April 2014.  The issue is fixed in Google Chrome 34.0.1847.116 (Official Build 260972).  I used Chromium's bisect-builds.py script and found that the issue was fixed after 167188 (known bad), but no later than 167194 (first known good).
BLINK CHANGELOG URL:
  http://build.chromium.org/f/chromium/perf/dashboard/ui/changelog_blink.html?url=/trunk&range=167194%3A167188
.. which led me to Mario's patch.
Comment 1 Mario Sanchez Prada 2014-04-22 04:06:02 PDT
Just to mention that a WebKit version of this patch is already attached in this bugzilla, waiting for a final review:
https://bugs.webkit.org/show_bug.cgi?id=129313

It's just pending, IIRC, in answering some final doubt exposed in there on how to write the new test for that specific case. My vote goes for useing regular tests to complete the backport and think about converting all of them to reftests later.

Ryosuke, would you mind commenting on that?
https://bugs.webkit.org/show_bug.cgi?id=129313#c20

Thanks!